Skip to main content

Device Attribute Actions

https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Below are the various requests that can be performed against the Device Attribute resource, as well as the expected parameters and the potential responses.

Delete​

Removes an attribute from a device

Method And Url​

DELETE https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, deviceAttribute.*, or deviceAttribute.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DEVICE_IDID associated with the device575ecf887ae143cd83dc4aa2
NAMEName of the attributevoltage

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Successful Responses​

CodeTypeDescription
200SuccessIf device attribute was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if device attribute was not found

Get​

Retrieves information on a device attribute

Method And Url​

GET https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Device, all.Device.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, deviceAttribute.*, or deviceAttribute.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DEVICE_IDID associated with the device575ecf887ae143cd83dc4aa2
NAMEName of the attributevoltage

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Successful Responses​

CodeTypeDescription
200Device AttributeDevice attribute information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if device attribute was not found

Patch​

Updates an attribute on a device

Method And Url​

PATCH https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, deviceAttribute.*, or deviceAttribute.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DEVICE_IDID associated with the device575ecf887ae143cd83dc4aa2
NAMEName of the attributevoltage

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Device Attribute Patch schema. For example, the following would be a valid body for this request:

{
"description": "my new attribute description"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"description":"my new attribute description"}' \
https://api.losant.com/applications/APPLICATION_ID/devices/DEVICE_ID/attributes/NAME

Successful Responses​

CodeTypeDescription
200Device AttributeUpdated device attribute information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if device attribute was not found

Schemas​

Device Attribute​

Schema for a single Device Attribute

Device Attribute Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 8 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 3 keys
                • ▶
                  {} 3 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys

                  Device Attribute Example​

                  • ▶
                    {} 4 keys
                    • "575ecf887ae143cd83dc4aa2"
                    • "575ec8687ae143cd83dc4a97"
                    • "voltage"
                    • "number"

                  Device Attribute Patch​

                  Schema for the body of a Device Attribute modification request

                  Device Attribute Patch Schema​

                  • ▶
                    {} 4 keys
                    • "http://json-schema.org/draft-07/schema#"
                    • "object"
                    • ▶
                      {} 5 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 3 keys
                              • false

                            Device Attribute Patch Example​

                            • ▶
                              {} 1 key
                              • "my new attribute description"

                            Error​

                            Schema for errors returned by the API

                            Error Schema​

                            • ▶
                              {} 3 keys
                              • "http://json-schema.org/draft-07/schema#"
                              • "object"
                              • ▶
                                {} 3 keys
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 2 keys

                                  Error Example​

                                  • ▶
                                    {} 2 keys
                                    • "NotFound"
                                    • "Application was not found"

                                  Success​

                                  Schema for reporting a successful operation

                                  Success Schema​

                                  • ▶
                                    {} 3 keys
                                    • "http://json-schema.org/draft-07/schema#"
                                    • "object"
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 2 keys

                                    Success Example​

                                    • ▶
                                      {} 1 key
                                      • true

                                    Was this page helpful?


                                    Still looking for help? You can also search the Losant Forums or submit your question there.